STG-POP(1)

NAME
stg-pop - Pop (unapply) one or more applied patches

SYNOPSIS

stg pop [OPTIONS] [patch]...
stg pop [OPTIONS] --all
stg pop [OPTIONS] -n <number>

DESCRIPTION

Pop (unapply) one or more applied patches.

By default, the topmost applied patch is popped.

If ranges of patches are specified, pop and push operations are performed such that only the patches specified on the command line are unapplied at the end of the operation. It is possible for some of these intermediate push operations to fail due to conflicts if patches are popped out of last-pushed first-popped order.

OPTIONS

-a, --all
    Pop all applied patches

-n <number>, --number=<number>
    Pop the specified <number> of patches.

    A negative number indicates to pop all but that number of patches

-s, --spill
    Keep patches' modifications in index and worktree after popping

-k, --keep
    Keep the local changes

STGIT

Part of the StGit suite - see stg(1)